import Taro from '@tarojs/taro'
import { View, Image } from '@tarojs/components'
import WeChatPay from '@/assets/BottomMoadlImags/WeChatPay.png'
import Alipay from '@/assets/BottomMoadlImags/Alipay.png'
import userRight from '@/assets/mineImgaes/userRight.png'

import './style.css'


export default (props) => {
  const { frameTitle, flag } = props

  let wrapAnimate = 'wrap wrapAnimate'
  let frameAnimate = 'frame-wrapper'
  // const [textNextSum, setTextNext] = useState(1)
  // const [recommendContent, setRecommendContent] = useState([])
  // const [loading, setLoading] = useState(false)

  const hideFrame = () => {
    // onRecommend()
  }




  return (
    flag && <view>
      <view className={wrapAnimate} style='background:rgba(0,0,0,0);'></view>
      <view onClick={hideFrame} className={frameAnimate}>
        <view className='frame'>
          {/* 标题  */}
          <view className='title-wrapper '>
            <view>{frameTitle}</view>
          </view>
          {/* 内容 */}
          <View className='Paybox-moadl' style='overflow-x: hidden;'>
            <View className='Paybox-moadl-Alipay'>
              <View className='Paybox-moadl-liftPay'>
                <Image className='Paybox-moadl-liftPay-Alipay' src={Alipay} />
                支付宝
              </View>
              <Image className='Paybox-moadl-rightPay' src={userRight} />
            </View>

            <View className='Paybox-moadl-Alipay'>
              <View className='Paybox-moadl-liftPay'>
                <Image className='Paybox-moadl-liftPay-Alipay' src={WeChatPay} />
                微信
              </View>
              <Image className='Paybox-moadl-rightPay' src={userRight} />
            </View>
            {/* 
            <View className='Paybox-moadl-Alipay'>
              <View>
                <Image src={WeChatPay} />
                微信
              </View>
              <Image src={userRight} />

            </View> */}

          </View>
        </view>
      </view>
    </view>
  )
}