import { useState } from "react"
import { Image, View, Text } from "@tarojs/components"
import Taro from "@tarojs/taro"
import CustomNav from "@/components/CustomNav"

import ButtontWX from "@/components/ButtontWX"
import decorate from "@/assets/icons/comm/decorate.png"
import addresss from '@/assets/mineImgaes/addresss.png'//地址

import './style.less'



export default (props) => {


  const startReserve = () => {
    console.log('预约 startReserve',);
  }

  const goMapInfo = (res) => {
    Taro.navigateTo({ url: `/pages/CheckMap/index?mapId=${res + 111}` })

  }

  return (
    <View className='page-index'>

      <View className='index-navbar'>
        <CustomNav title='查看详情' />
      </View>
      <scroll-view scrollY style='height: 100%;' >

        <View >

          <Image style={{ width: '100%' }} src='http://img3.jc001.cn/img/001/1/1512/15566fd0311736f.jpg' />

          <View className='CarsContent-TextBox'>
            <View className='CheckDetails-bottom-box-flaxBox-liftText'>
              <View className='CheckDetails-bottom-box-flaxBox-liftText-Titles'>不知家收割机</View>
              <View className='CheckDetails-bottom-box-flaxBox-liftText-price'>2188/<Text>公顷</Text></View>
            </View>
            <View className='content-header-box-map-Info' onClick={() => goMapInfo('222888')}>
              <View className='content-header-box-map-Info-liftCentent'>
                <Image src={addresss} />
                <View>距离当前位置8.8公里&gt;&gt;</View>
              </View>
            </View>
            <View className='content-header-box-map-Info-carsName'>农机手小李的收割机</View>
            <View className='startReserve-centent'>
              <View className='articleTitle-box-Details'>
                <Image src={decorate} />
                <View>作业详情</View>
                <Image src={decorate} />
              </View>
              <Image style={{ width: '100%' }} src='http://img3.jc001.cn/img/001/1/1512/15566fd0311736f.jpg' />
              <Image style={{ width: '100%' }} src='http://img3.jc001.cn/img/001/1/1512/15566fd0311736f.jpg' />
              <Image style={{ width: '100%' }} src='http://img3.jc001.cn/img/001/1/1512/15566fd0311736f.jpg' />

              <View className='startReserve-Bottom'>
                <ButtontWX butText='预约' onClick={startReserve} butWidth={300} butHeight={49} butFontSize={16} butBorderRadius={49} />

              </View>
            </View>


          </View>
        </View>
      </scroll-view>

    </View >
  )
}
