import { useState } from "react"
import { Textarea, View } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import ButtontWX from "@/components/ButtontWX"
import './style.less'



export default (props) => {

  const [textAreaValue, setTextAreaValue] = useState('')


  const onSubmitClick = () => {
    console.log('textAreaValue', textAreaValue);
  }

  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='意见反馈' />
      </View>
      <View>
        <View className='components-page'>

          <Textarea placeholder='请留下您宝贵的意见和建议！' className='components-page-TextareaCentent' autoHeight onInput={(e) => { setTextAreaValue(e.detail.value) }} />
        </View>
        <View className='buton-bottom-Feedback'>
          <ButtontWX onClick={onSubmitClick} butText='提交' butWidth={350} butHeight={49} butFontSize={16} butBorderRadius={49} />
        </View>
      </View>
    </View>
  )
}
