/**
 * object 转 queryStr
 * @param {*} params 
 * @returns 
 */
export function getQueryString (params) {
  if (!params) return;

  const keys = Object.keys(params)
  const arr = keys.map((key) => {
    const val = params[key]
    if (val === null || val === undefined) return false;

    return `${key}=${encodeURIComponent(val)}`
  })

  return arr.filter(Boolean).join('&')
}